Summary: Stop Bill from loading his OS into all the computers
Name: xbill
Version: 2.0
Release: 10mdk
Copyright: MIT
Group: Games/Arcade
Source: ftp://ftp.x.org/contrib/games/xbill-2.0.tar.bz2
Source1: xbill.xpm
Patch0: xbill-2.0-rh.patch.bz2
Patch1: xbill-gcc2.95.patch.bz2
BuildRoot: /var/tmp/xbill-root

%description
The xbill game tests your reflexes as you seek out and destroy all forms
of Bill, establish new operating systems and boldly go where no geek has
gone before.  Xbill has become an increasingly attractive option as the
Linux Age progresses.

%prep
%setup -q
%patch -p1 -b .rh
%patch1 -p0 -b .gcc

%build
export PATH=$PATH:/usr/X11R6/bin
xmkmf
make CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install install.man INSTPGMFLAGS=""

( cd $RPM_BUILD_ROOT
  mkdir -p ./usr/lib/xbill
  for i in bitmaps pixmaps
  do
    mv ./var/lib/games/xbill/$i ./usr/lib/xbill/$i
    ln -s ../../../../usr/lib/xbill/$i ./var/lib/games/xbill/$i
  done
  
  mkdir -p ./usr/lib/menu
  cat > ./usr/lib/menu/xbill <<EOF
?package(xbill): command="xbill" icon="xbill.xpm" longtitle="The famous xbill game" title="xbill" needs="x11" section="Amusement/Arcade"
EOF

  mkdir -p ./usr/share/icons/mini
  install -m644 %{SOURCE1} ./usr/share/icons/mini/

# Removed this old wmconfig stuff (Jerome Martin)
#  mkdir -p ./etc/X11/wmconfig
#  cat > ./etc/X11/wmconfig/xbill <<EOF
#xbill name "xbill"
#xbill description "Save the world"
#xbill group Games/Video
#xbill exec "xbill &"
#EOF

)

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = 0 ]; then
     [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root)
%attr(2755,root,games)	/usr/X11R6/bin/xbill
%attr(0775,root,games)	%dir /var/lib/games/xbill
%attr(0664,root,games)	/var/lib/games/xbill/scores
/var/lib/games/xbill/bitmaps
/var/lib/games/xbill/pixmaps
/usr/lib/xbill
#%config /etc/X11/wmconfig/xbill
/usr/lib/menu/xbill
/usr/share/icons/mini/xbill.xpm

%changelog
* Sun Apr 01 2000 Jerome Martin <jerome@mandrakesoft.com> 2.0-10mdk
- Fix rpm group
- specfile modifications for spec-helper
- menu entry + icon
- removal of old wmconfig stuff

* Tue Dec 21 1999 David Baudens <baudens@mandrakesoft.com>
- Modify %%description (MandrakeSoft is not RedHat)
- Fix build on Jedi

* Thu May  6 1999 Bernhard Rosekraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
